import { BaseResourceWithId } from "../../common";
import { APIRecommendationInfo, StoreRecommendationInfo } from "./interfaces";
export declare class RecommendationInfo extends BaseResourceWithId {
    slug: string;
    title: string | null;
    dosageValue: number;
    dosageUnit: string;
    vitaminPosition: null | number;
    shopLink: string;
    capsuleVolume: number;
    categories: string[];
    constructor(slug: string, title: string | null, dosageValue: number, dosageUnit: string, vitaminPosition: null | number, shopLink: string, capsuleVolume: number, categories: string[]);
    static get resourceName(): string;
    static get serviceName(): string;
    serializeRedux(): StoreRecommendationInfo;
    static apiFactory(data: APIRecommendationInfo): RecommendationInfo;
    /**
     * Returns all recommendation supplement infos.
     */
    static get(): Promise<RecommendationInfo[]>;
}
